function numberKey() {
    var row, i = 0, j = 0, buttonValue = 0,data = 1;
    for (i = 1; i <= 4; i++) {
        var row = document.createElement("div");
        row.setAttribute("id", "row" + i);
        row.setAttribute("class","noPadding col-sm-11 col-xs-11 col-md-11 col-lg-11");
        document.getElementById("numberDiv").appendChild(row);
            for (j = 1; j <= 3; j++) {
                if (buttonValue < 9) {
                    var button = document.createElement("div");
                    button.setAttribute("id", "buttonId" + i + j);
                    button.setAttribute("class", "noPadding buttonClass bgClass col-sm-4 col-xs-4 col-md-4 col-lg-4 col-sm-offset-0 col-xs-offset-0 col-lg-offset-0 col-md-offset-0");
                    button.setAttribute("data",data);
                    button.style.backgroundImage='url('+"images/skin/"+PrimeFactor.keypadImg[buttonValue]+')';
                    button.setAttribute("onclick", "displayNumber(this.id)");
                  //  button.innerHTML = buttonValue;
                    row.appendChild(button);
                    buttonValue++;
                    data++;
                }
                else {
                    if (buttonValue == 9) {
                        var button = document.createElement("div");
                        button.setAttribute("id", "buttonId" + i + j);
                        //button.style.backgroundImage="url('images/skin/Golden-Button.png')";
                        button.setAttribute("onclick", "displayNumber(this.id)");
                     
                        if (j == 2) {
							button.setAttribute("class", "noPadding buttonClass bgClass col-sm-4 col-xs-4 col-md-4 col-lg-4 col-sm-offset-0 col-xs-offset-0 col-lg-offset-0 col-md-offset-0");
                            button.setAttribute("data",0);
                            button.style.backgroundImage="url('images/skin/k.png')";
                            row.appendChild(button);
                        }
                        else if (j == 3) {
                            button.setAttribute("class", "noPadding buttonClass bgClass  col-sm-4 col-xs-4 col-md-4 col-lg-4 col-sm-offset-0 col-xs-offset-0 col-lg-offset-0 col-md-offset-0");
                            button.setAttribute("onclick", "clearText()");
                            button.style.backgroundImage="url('images/skin/L.png')";
                            row.appendChild(button);
                        }
                        else {
							button.setAttribute("class", "noPadding buttonClass bgClass  col-sm-4 col-xs-4 col-md-4 col-lg-4 col-sm-offset-0 col-xs-offset-0 col-lg-offset-0 col-md-offset-0");
                            button.style.backgroundImage="url('images/skin/reset.png')";
                            button.setAttribute("onclick", "resetAll()");
                           
                            row.appendChild(button);
                        }
                        //buttonValue = 10;
                    }
                }
            }
	
	}
}

